Debian Bug report logs - #680825
gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory

version graph

Package: src:gromacs; Maintainer for src:gromacs is Debichem Team <debichem-devel@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 8 Jul 2012 17:23:16 UTC

Severity: serious

Found in version gromacs/4.5.5-2

Done: Nicholas Breen <nbreen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Sun, 08 Jul 2012 17:23:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 08 Jul 2012 17:23:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Sun, 8 Jul 2012 19:08:14 +0200
Source: gromacs
Version: 4.5.5-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120708 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[4]: Entering directory `/«PKGBUILDDIR»/build/openmpi-dp'
> [100%] Installing mdrun
> -- Install configuration: "Release"
> -- Install component: "libraries"
> -- Install configuration: "Release"
> -- Install component: "mdrun"
> make[4]: Leaving directory `/«PKGBUILDDIR»/build/openmpi-dp'
> [100%] Built target install-mdrun
> make[3]: Leaving directory `/«PKGBUILDDIR»/build/openmpi-dp'
> make[2]: Leaving directory `/«PKGBUILDDIR»/build/openmpi-dp'
> make[1]: Leaving directory `/«PKGBUILDDIR»/build/openmpi-dp'
> dh_installman -pgromacs-openmpi debian/man/mdrun_mpi.openmpi.1
> dh_link -pgromacs-openmpi usr/share/man/man1/mdrun_mpi.openmpi.1.gz usr/share/man/man1/mdrun_mpi_d.openmpi.1.gz
> dh_lintian -pgromacs-openmpi
> dh_testdir
> dh_testroot
> dh_prep -pgromacs-data -pgromacs-dev
> # remove a duplicated file
> rm -f /«PKGBUILDDIR»/debian/gromacs/usr/share/gromacs/tutor/gmxdemo/demo_d
> dh_installdirs -pgromacs-data
> mv /«PKGBUILDDIR»/debian/gromacs/usr/share/gromacs/top \
> 	   /«PKGBUILDDIR»/debian/gromacs-data/usr/share/gromacs
> mv /«PKGBUILDDIR»/debian/gromacs/usr/share/gromacs/tutor \
> 	   /«PKGBUILDDIR»/debian/gromacs-data/usr/share/gromacs
> mv /«PKGBUILDDIR»/debian/gromacs/usr/share/gromacs/html \
> 	   /«PKGBUILDDIR»/debian/gromacs-data/usr/share/doc/gromacs
> mv /«PKGBUILDDIR»/debian/gromacs/usr/share/man \
> 	   /«PKGBUILDDIR»/debian/gromacs-data/usr/share/man
> # some of the default installation directories for documentation and
> # example shell scripts are not FHS-friendly; move them appropriately
> mv /«PKGBUILDDIR»/debian/gromacs/usr/bin/GMXRC* \
> 	   /«PKGBUILDDIR»/debian/gromacs/usr/bin/completion* \
> 	   /«PKGBUILDDIR»/debian/gromacs-data/usr/share/gromacs/shell-specific
> chmod 644 /«PKGBUILDDIR»/debian/gromacs-data/usr/share/gromacs/shell-specific/*
> dh_link -pgromacs-data usr/share/doc/gromacs/html usr/share/doc/gromacs-data/html
> dh_link -pgromacs-data usr/share/doc/gromacs/html usr/share/doc/gromacs-dev/html
> # one lintian warning is overridden:
> # - script-not-executable: demo scripts outside of ATH
> dh_lintian -pgromacs-data
> # rename a pair of Perl scripts to drop the .pl extension (Policy 10.4)
> mv /«PKGBUILDDIR»/debian/gromacs/usr/bin/demux.pl     /«PKGBUILDDIR»/debian/gromacs/usr/bin/demux
> mv /«PKGBUILDDIR»/debian/gromacs/usr/bin/xplor2gmx.pl /«PKGBUILDDIR»/debian/gromacs/usr/bin/xplor2gmx
> dh_installdirs -pgromacs-dev
> mv /«PKGBUILDDIR»/debian/gromacs/usr/include /«PKGBUILDDIR»/debian/gromacs-dev/usr/include
> # catch normal libraries plus all applicable MPI variants
> mv /«PKGBUILDDIR»/debian/gromacs/usr/lib/*.so /«PKGBUILDDIR»/debian/gromacs/usr/lib/pkgconfig /«PKGBUILDDIR»/debian/gromacs-dev/usr/lib
> mv /«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so /«PKGBUILDDIR»/debian/gromacs-dev/usr/lib
> mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
> make: *** [install] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/07/08/gromacs_4.5.5-2_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Tue, 10 Jul 2012 12:33:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Tue, 10 Jul 2012 12:33:26 GMT) Full text and rfc822 format available.

Message #10 received at 680825@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 680825@bugs.debian.org
Subject: Re: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Tue, 10 Jul 2012 14:11:46 +0200
[Message part 1 (text/plain, inline)]
Hi,

the attached patch solves the issue. Not tagging patch or intend to NMU 
however, as I think it should be further investigated why it fails (it 
does not build the libs anymore when building "mdrun" target only).

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.
[gromacs_4.5.5-2.1.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Tue, 10 Jul 2012 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Tue, 10 Jul 2012 18:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 680825@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: Evgeni Golov <evgeni@debian.org>, 680825@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Tue, 10 Jul 2012 11:29:04 -0700
On Tue, Jul 10, 2012 at 02:11:46PM +0200, Evgeni Golov wrote:
> 
> Hi,
> 
> the attached patch solves the issue. Not tagging patch or intend to NMU 
> however, as I think it should be further investigated why it fails (it 
> does not build the libs anymore when building "mdrun" target only).

Thanks.  I *suspect* it's something new in cmake 2.8.9-rc1, since gromacs built
perfectly well a month ago under cmake 2.8.8, and the MPI implementations
haven't changed in that time (and _both_ of them fail to build now), though I
won't be able to work on it for a day or two yet.

- Nicholas





Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Wed, 11 Jul 2012 07:54:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Wed, 11 Jul 2012 07:54:21 GMT) Full text and rfc822 format available.

Message #20 received at 680825@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: Nicholas Breen <nbreen@debian.org>
Cc: 680825@bugs.debian.org, cmake@packages.debian.org
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Wed, 11 Jul 2012 09:40:03 +0200
Hi Nicholas,

CC'in cmake maintainers, maybe they have a clue :)

On Tue, Jul 10, 2012 at 11:29:04AM -0700, Nicholas Breen wrote:
> On Tue, Jul 10, 2012 at 02:11:46PM +0200, Evgeni Golov wrote:
> > 
> > Hi,
> > 
> > the attached patch solves the issue. Not tagging patch or intend to NMU 
> > however, as I think it should be further investigated why it fails (it 
> > does not build the libs anymore when building "mdrun" target only).
> 
> Thanks.  I *suspect* it's something new in cmake 2.8.9-rc1, since gromacs built
> perfectly well a month ago under cmake 2.8.8, and the MPI implementations
> haven't changed in that time (and _both_ of them fail to build now), though I
> won't be able to work on it for a day or two yet.

Your feeling was right.
It builds just fine in uptodate Sid with cmake/2.8.8-3 and fails with 
cmake/2.8.9~rc1-1.

Dear cmake maintainers, could you please have a look at the bug (and 
build log) and guess why 2.8.9 stopped building the libraries in the 
"mdrun" target? Is it a bad cmake file or a regression in cmake?

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Wed, 11 Jul 2012 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brad King <brad.king@kitware.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Wed, 11 Jul 2012 18:33:04 GMT) Full text and rfc822 format available.

Message #25 received at 680825@bugs.debian.org (full text, mbox):

From: Brad King <brad.king@kitware.com>
To: Evgeni Golov <evgeni@debian.org>
Cc: Nicholas Breen <nbreen@debian.org>, 680825@bugs.debian.org, cmake@packages.debian.org, Bill Hoffman <bill.hoffman@kitware.com>, Alexander Neundorf <neundorf@kde.org>
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Wed, 11 Jul 2012 14:29:54 -0400
On 07/11/2012 03:40 AM, Evgeni Golov wrote:
> Dear cmake maintainers, could you please have a look at the bug (and 
> build log) and guess why 2.8.9 stopped building the libraries in the 
> "mdrun" target? Is it a bad cmake file or a regression in cmake?

It is a regression in CMake AFAICT.  I bisected it down to here:

 http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=7ced0732

Try adding the flag

 -DCMAKE_INSTALL_DEFAULT_COMPONENT_NAME=Unspecified

to the CMake configuration step to work around the problem.
We'll try to get this fixed before the final 2.8.9 release.

-Brad




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Wed, 11 Jul 2012 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brad King <brad.king@kitware.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Wed, 11 Jul 2012 18:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 680825@bugs.debian.org (full text, mbox):

From: Brad King <brad.king@kitware.com>
To: Alexander Neundorf <neundorf@kde.org>
Cc: Evgeni Golov <evgeni@debian.org>, Nicholas Breen <nbreen@debian.org>, 680825@bugs.debian.org, cmake@packages.debian.org, Bill Hoffman <bill.hoffman@kitware.com>
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Wed, 11 Jul 2012 14:55:23 -0400
On 07/11/2012 02:29 PM, Brad King wrote:
> Try adding the flag
> 
>  -DCMAKE_INSTALL_DEFAULT_COMPONENT_NAME=Unspecified
> 
> to the CMake configuration step to work around the problem.

Nevermind about this workaround.  I had tested it with a leftover
build of a "good" version during git bisect.

This hunk:

 http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=7ced0732#patch4

 @@ -35,7 +36,9 @@ cmInstallCommandArguments::cmInstallCommandArguments()
  ,NamelinkOnly  (&Parser, "NAMELINK_ONLY" , &ArgumentGroup)
  ,NamelinkSkip  (&Parser, "NAMELINK_SKIP" , &ArgumentGroup)
  ,GenericArguments(0)
 -{}
 +{
 +  this->Component.SetDefaultString(defaultComponent.c_str());
 +}

Seems to have reversed a previous fix:

 http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=43cad3e4

of a problem similar to what we observe here.  The SetDefaultString
code never worked AFAICT.

-Brad




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Wed, 11 Jul 2012 19:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brad King <brad.king@kitware.com>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Wed, 11 Jul 2012 19:45:06 GMT) Full text and rfc822 format available.

Message #35 received at 680825@bugs.debian.org (full text, mbox):

From: Brad King <brad.king@kitware.com>
To: Alexander Neundorf <neundorf@kde.org>
Cc: Evgeni Golov <evgeni@debian.org>, Nicholas Breen <nbreen@debian.org>, 680825@bugs.debian.org, cmake@packages.debian.org, Bill Hoffman <bill.hoffman@kitware.com>
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Wed, 11 Jul 2012 15:44:22 -0400
On 07/11/2012 02:55 PM, Brad King wrote:
> This hunk:
>  http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=7ced0732#patch4
> Seems to have reversed a previous fix:
>  http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=43cad3e4
> of a problem similar to what we observe here.

This should fix it:

 http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=8720aa04

Ideally we should add a test for this case but I have no time now.
We'll include the fix in the next 2.8.9 rc.

-Brad




Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Fri, 13 Jul 2012 03:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Fri, 13 Jul 2012 03:51:21 GMT) Full text and rfc822 format available.

Message #40 received at 680825@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: Brad King <brad.king@kitware.com>
Cc: 680825@bugs.debian.org, cmake@packages.debian.org
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Thu, 12 Jul 2012 20:47:59 -0700
On Wed, Jul 11, 2012 at 03:44:22PM -0400, Brad King wrote:
> This should fix it:
> 
>  http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=8720aa04
> 
> Ideally we should add a test for this case but I have no time now.
> We'll include the fix in the next 2.8.9 rc.

Thank you very much for tracking down the bug.

Modestas, do you think it's worth applying that patch to the cmake package and
requesting a freeze exception from the RMs?  I'm not sure if it affects any
other packages in the archive, but I cannot find any other outright failures in
this batch of FTBFS bugs that date from after the 2.8.9-rc1 upload, so it might
well be just this one case.  Otherwise I'll hash out a workaround for gromacs
to keep it from getting removed as RC-buggy.

- Nicholas





Bug 680825 cloned as bug 681428 Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 05:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Fri, 13 Jul 2012 05:40:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modax@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Fri, 13 Jul 2012 05:41:07 GMT) Full text and rfc822 format available.

Message #47 received at 680825@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modax@debian.org>
To: Nicholas Breen <nbreen@debian.org>
Cc: Brad King <brad.king@kitware.com>, 680825@bugs.debian.org, cmake@packages.debian.org
Subject: Re: [Debichem-devel] Bug#680825: gromacs: FTBFS: mv: cannot stat `/«PKGBUILDDIR»/debian/gromacs-mpich/usr/lib/*.so': No such file or directory
Date: Fri, 13 Jul 2012 08:34:49 +0300
[Message part 1 (text/plain, inline)]
Hello,

On Thursday 12 July 2012 20:47:59 Nicholas Breen wrote:
> On Wed, Jul 11, 2012 at 03:44:22PM -0400, Brad King wrote:
> > This should fix it:
> >  http://cmake.org/gitweb?p=cmake.git;a=commitdiff;h=8720aa04
> > 
> > Ideally we should add a test for this case but I have no time now.
> > We'll include the fix in the next 2.8.9 rc.
> 
> Thank you very much for tracking down the bug.
> 
> Modestas, do you think it's worth applying that patch to the cmake package
> and requesting a freeze exception from the RMs?

The plan is to ship Wheezy with cmake 2.8.9 final. I have uploaded 2.8.9-rc1 
this early in order to catch the auto-freeze-exception train and minimize 
diff. 2.8.9-rc1 <-> 2.8.9 will only contain bug fixes anyway.

> I'm not sure if it affects
> any other packages in the archive, but I cannot find any other outright
> failures in this batch of FTBFS bugs that date from after the 2.8.9-rc1
> upload, so it might well be just this one case.

Feel free to reassign/clone this bug to cmake.

> Otherwise I'll hash out a
> workaround for gromacs to keep it from getting removed as RC-buggy.

I will upload 2.8.9-rc2 to unstable once its released (which should not take 
long).
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 680825: 681428 Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Fri, 13 Jul 2012 05:41:11 GMT) Full text and rfc822 format available.

Removed tag(s) sid. Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Sat, 04 Aug 2012 20:15:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#680825; Package src:gromacs. (Sat, 04 Aug 2012 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Breen <nbreen@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 04 Aug 2012 20:21:05 GMT) Full text and rfc822 format available.

Message #56 received at 680825-quiet@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: 680825-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: FTBFS fixed with cmake 2.8.9-rc3
Date: Sat, 4 Aug 2012 13:09:44 -0700
tags 680825 wheezy
stop

There is no longer a FTBFS when using cmake 2.8.9~rc3-1, uploaded today.  This
bug can be closed as soon as cmake transitions to testing.

- N



Added blocking bug(s) of 680825: 685905 Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Mon, 03 Sep 2012 18:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debichem Team <debichem-devel@lists.alioth.debian.org>:
Bug#680825; Package src:gromacs. (Sun, 07 Oct 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debichem Team <debichem-devel@lists.alioth.debian.org>. (Sun, 07 Oct 2012 14:45:03 GMT) Full text and rfc822 format available.

Message #63 received at 680825@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Modestas Vainius <modax@debian.org>, 685905@bugs.debian.org
Cc: Nicholas Breen <nbreen@debian.org>, 681428@bugs.debian.org, 680825@bugs.debian.org
Subject: Re: Bug#685905: unblock: cmake/2.8.9-1
Date: Sun, 7 Oct 2012 16:44:03 +0200
[Message part 1 (text/plain, inline)]
Quoting Modestas Vainius (modax@debian.org):
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Hello,
> 
> I would like to ask for unblock of 2.8.9-1 for wheezy. Wheezy currently has
> 2.8.9~rc1 which is a feature complete release candidate of 2.8.9.

So far, about 6 weeks later, nothing happened.

And, as it has been stressed out later by Nicholas Breen, this version
fixes a regression that affect other packages (such as gromacs).

So, well:

- either the release team has no time to review the whole diff and
therefore will not unblock this package

- either they don't accept it

- either they accept it late....but that requires a very big
investment from them

In all 3 cases, I think that uploading a package with a fix for
#681428 *only* would not hurt.....and would anyway fix the induced
bugs such as #680825

Could it be considered? I think that relying everything on an unblock
for cmake 2.8.9-1 is too optimistic.

I understand you may have gazillion of arguments to avoid providing an
RC release in wheezy....but, that had to happen before the freeze if
you wanted to be sure it happens (yeah, I know, maybe upstream
released after the freeze, dunno....In Such case, this is just bad luck)

PS: I know nothing about all this stuff. I went on this while randomly
going through RC bugs.



[signature.asc (application/pgp-signature, inline)]

Removed tag(s) wheezy. Request was from Nicholas Breen <nbreen@debian.org> to control@bugs.debian.org. (Fri, 12 Oct 2012 04:39:03 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Breen <nbreen@debian.org>:
You have taken responsibility. (Fri, 12 Oct 2012 04:51:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 12 Oct 2012 04:51:03 GMT) Full text and rfc822 format available.

Message #70 received at 680825-done@bugs.debian.org (full text, mbox):

From: Nicholas Breen <nbreen@debian.org>
To: control@bugs.debian.org, 680825-done@bugs.debian.org
Subject: bug #680825 resolved
Date: Thu, 11 Oct 2012 21:37:18 -0700
tags 680825 - wheezy
thanks

cmake 2.8.9 is in testing now, so the gromacs FTBFS no longer occurs with any
release.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Nov 2012 07:26:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:35:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.